Subject: Re: bug#17504: bug in gzgrep?

From: Paul Eggert <[email-masked]>
Date: Fri, 16 May 2014 18:09:55 -0700

Robert M. Lawhead wrote:
> % gzgrep --version
> gzgrep (gzip) 1.4

Wow, that's old.  I recall fixing that bug some time ago in the GNU 
sources.  I can't reproduce the problem on the oldest Solaris box I have 
easy access to:

$ echo foo >a
$ echo foo >b
$ echo bar >c
$ gzgrep foo *
a:foo
b:foo
$ gzgrep -h foo *
foo
foo
$ uname -srvmpi
SunOS 5.10 Generic_147440-19 sun4u sparc SUNW,Sun-Fire-280R
$ gzgrep --version | sed 1q
gzgrep (gzip) 1.5

My guess is that you need to bring your Solaris machine up-to-date, by 
installing the usual patches from Oracle.  Probably should be doing that 
anyway, as unpatched machines can be dangerous.